let BLOCKS = [
   /iceandfire:dragonscale_(red|green|bronze|gray|blue|white|sapphire|silver|electric|amythest|copper|black)/
];

onEvent('item.tags', event => {
	for (var item of BLOCKS) {
		event.get('iceandfire:dragonscale_blocks').add(item)
	}
})